Subject: bug#7425: Acknowledgement (23.2.90; buffer menu in meun-bar not updating)

From: Bob van der Poel <[email-masked]>
Date: Thu, 18 Nov 2010 18:49:13 -0700

On Thu, Nov 18, 2010 at 1:56 AM, Jan Djärv <[email-masked]> wrote:

> You have to log out of your X session and back in again after removing
> appmenu-gtk.  Did you do that?
>

Just to be clear, simply removing appmenu-gtk (via synaptic) fixes the
menu problem. However, removing appmenu-gtk creates a problem with
gobs of warning messages being printed to my terminal.

The gtk warnings go on for pages, but the first few illustrate the issue:

menu_proxy_module_load': src/emacs: undefined symbol: menu_proxy_module_load

(emacs:2092): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': src/emacs: undefined symbol: menu_proxy_module_load

(emacs:2092): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': src/emacs: undefined symbol: menu_proxy_module_load

It make no difference if I restart X or not. Matter of fact, I just
rebooted completely to verify this. I also tried a few other gtk
program and they show same warning messages. But, the menus in the
other programs work with or without appmenu-gtk.

My _guess_ is that emacs is:

 - not configuring something when setting up its gtk interface,

 or

 - my system is missing a DBUS setting.

Hope we can get the resolved. I'm using a lucid version of emacs I
compiled the other day and it works fine (but I don't like the
appearance of the lucid stuff).

-- 
**** Listen to my CD at http://www.mellowood.ca/music/cedars ****
Bob van der Poel ** Wynndel, British Columbia, CANADA **
EMAIL: [email-masked]
WWW:   http://www.mellowood.ca